.. _vim.fault.VmToolsUpgradeFault: ../../vim/fault/VmToolsUpgradeFault.rst


vim.fault.ToolsUpgradeCancelled
===============================
    :extends:

        `vim.fault.VmToolsUpgradeFault`_

  Thrown when tools install or upgrade fails because the operation was canclled by the user.

Attributes:




